Bug 191577 - xchat: missing BuildRequires for dbus-glib
Summary: xchat: missing BuildRequires for dbus-glib
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-13 04:11 UTC by Paul W. Frields
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 21:36:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to xchat spec file (597 bytes, patch)
2006-05-13 04:11 UTC, Paul W. Frields
no flags Details | Diff
Patch to fix %changelog UTF-8 problem (405 bytes, patch)
2006-05-13 18:24 UTC, Paul W. Frields
no flags Details | Diff

Description Paul W. Frields 2006-05-13 04:11:17 UTC
Description of problem:
During build, xchat calls dbus-binding-tool, part of the dbus-glib package. 
When I try to build this package in mock, it fails without an explicit
BuildRequires.

Version-Release number of selected component (if applicable):
2.6.0-4

How reproducible:
Every time.

Steps to Reproduce:
1. Checkout CVS
2. In devel branch (or FC-5 branch, for that matter), 'make srpm'
3. 'mock xchat-2.6.0-4.src.rpm'
  
Actual results:
Build fails with missing command dbus-binding-tool

Expected results:
Successful build

Additional info:
Adding 'BuildRequires: dbus-glib >= 0.60' to the spec fixed this problem for
both devel and FC-5 branches.

Comment 1 Paul W. Frields 2006-05-13 04:11:17 UTC
Created attachment 128971 [details]
Patch to xchat spec file

Comment 2 Paul W. Frields 2006-05-13 18:24:40 UTC
Created attachment 128980 [details]
Patch to fix %changelog UTF-8 problem

This patch fixes a tiny UTF-8 problem in the %changelog which makes rpmlint
bark.  It sounds like there might be a move afoot to check Core packages
against rpmlint, so the patch may be useful.

Comment 3 Jesse Keating 2006-05-22 21:36:12 UTC
Patch from comment #1 applied, built into rawhide.  Patch from comment #2
doesn't change anything with what is in CVS...  perhaps it is a fault in the
build process?


Note You need to log in before you can comment on or make changes to this bug.